terraform {
  required_providers {
    minio = {
      source  = "aminueza/minio"
      version = "~> 2.5.0"
    }
  }
}

provider "minio" {
  minio_server   = var.minio_server
  minio_region   = "not-used"
  minio_user     = var.minio_access_key
  minio_password = var.minio_secret_key
  minio_ssl      = true
}

provider "vault" {
  address = var.vault_server
  token   = var.vault_root_token
}
